
From: Bart Samwel <bart@samwel.tk>

The calls to "blockdev" have ended up in the wrong place now, outside the
loop that iterates over the filesystems.


---

 25-akpm/Documentation/laptop-mode.txt |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN Documentation/laptop-mode.txt~laptop-mode-control-script-fix Documentation/laptop-mode.txt
--- 25/Documentation/laptop-mode.txt~laptop-mode-control-script-fix	2004-04-04 16:55:44.956526136 -0700
+++ 25-akpm/Documentation/laptop-mode.txt	2004-04-04 16:55:44.960525528 -0700
@@ -378,11 +378,11 @@ case "$1" in
 						mount $DEV -t $FST $MP -o remount,$OPTS,noatime
 						;;
 				esac
+				if [ -b $DEV ] ; then
+					blockdev --setra $(($READAHEAD * 2)) $DEV
+				fi
 			done
 		fi
-		if [ -b $DEV ] ; then
-			blockdev --setra $(($READAHEAD * 2)) $DEV
-		fi
 		echo "."
 		;;
 	stop)
@@ -420,11 +420,11 @@ case "$1" in
 						mount $DEV -t $FST $MP -o remount,$PARSEDOPTS
 						;;
 				esac
+				if [ -b $DEV ] ; then
+					blockdev --setra 256 $DEV
+				fi
 			done
 		fi
-		if [ -b $DEV ] ; then
-			blockdev --setra 256 $DEV
-		fi
 		echo "."
 		;;
 	*)

_
